/**
 * <p>This package provides utility routines for sorting and grouping.
 * Specifically, it contains a QuickSort implementation,
 * and some <code>AtomicComparer</code> objects that handle character and numeric comparisons, together
 * with the important <code>DocumentOrderIterator</code> which iterates over a set of nodes in document
 * order.</p>
 * <p>The package also
 * contains the classes to support the implementation of the XSLT 2.0 instruction
 * <code>xsl:for-each-group</code>, and some utilities for maintaining sets and maps whose keys
 * are unboxed integer values.</p>
 */
package net.sf.saxon.expr.sort;
