/**
 * <p>This package implements arrays, as introduced in XPath/XQuery 3.1:
 * arrays provide a list-like data structure that (unlike sequences) allows nesting.</p>
 * <p>Arrays are immutable, so that adding a new entry to an array creates a new array.</p>
 * <p>The entries in a array are arbitrary XDM sequences.</p>
 * <p>There are functions (each supported by its own implementation class) to create a new array,
 * to add an entry to a array, to get an entry from an array, to get the size of an array,
 * and so on..</p>
 */
package net.sf.saxon.ma.arrays;
